Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 147344 - CAN-2005-0202 mailman flaw
CAN-2005-0202 mailman flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mailman (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-02-07 10:10 EST by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 16:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:137 high SHIPPED_LIVE Important: mailman security update 2005-02-15 00:00:00 EST

  None (edit)
Description Mark J. Cox 2005-02-07 10:10:46 EST
*** This bug has been split off bug 147342 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2005.02.07
10:08 -------

A flaw in the true_path function of Mailman was discovered. A remote attacker
could make use of this flaw with a carefully crafted URL and gain access to
files such a configuration files or list archives that should otherwise be
protected.

Administrators can see if attempts to use this flaw has been made by exmaining
their web server access logs for requests containing ".....///"
Comment 1 Mark J. Cox 2005-02-09 13:32:48 EST
removing embargo, now public
http://lists.netsys.com/pipermail/full-disclosure/2005-February/031562.html
Comment 2 Mark J. Cox 2005-02-15 04:55:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-137.html

Note You need to log in before you can comment on or make changes to this bug.